﻿using System;

namespace Inedo.Consolation
{
    /// <summary>
    /// Indicates that a command argument may be supplied positionally.
    /// </summary>
    [AttributeUsage(AttributeTargets.Parameter, AllowMultiple = false)]
    public sealed class PositionalArgumentAttribute : Attribute
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="PositionalArgumentAttribute"/> class.
        /// </summary>
        public PositionalArgumentAttribute()
        {
        }
    }
}
