﻿using System;
using System.IO;

namespace Inedo.Agents.Hosting
{
    internal sealed class CommandResponseEventArgs : EventArgs
    {
        public CommandResponseEventArgs(int sessionId, int messageId, HostedProcess process, Stream data)
        {
            this.SessionId = sessionId;
            this.MessageId = messageId;
            this.Process = process;
            this.Data = data;
        }

        public int SessionId { get; }
        public int MessageId { get; }
        public HostedProcess Process { get; }
        public Stream Data { get; }
    }
}
